> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/data-clean-rooms.md).

# Data Clean Rooms

Operations related to Data Clean Rooms, the secure environments for privacy-safe data collaboration and analysis between multiple parties without sharing raw user data. Enables dataset onboarding, overlap analysis, differential privacy-protected insights generation, and activation of matched audiences (common and exclusive users) on authorized platforms while maintaining strict data confidentiality and GDPR compliance.

## GET /organisations/{organisation\_id}/clean\_room\_templates

> Find clean room templates

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Data Clean Rooms","description":"Operations related to Data Clean Rooms, the secure environments for privacy-safe data collaboration and analysis between multiple parties without sharing raw user data. Enables dataset onboarding, overlap analysis, differential privacy-protected insights generation, and activation of matched audiences (common and exclusive users) on authorized platforms while maintaining strict data confidentiality and GDPR compliance."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/clean_room_templates":{"get":{"summary":"Find clean room templates","tags":["Data Clean Rooms"],"description":"","parameters":[{"required":true,"in":"path","name":"organisation_id","description":"Organisation id","schema":{"type":"integer","format":"int64"},"style":"simple","explode":false},{"name":"first_result","description":"Offset from which the search must be performed","schema":{"type":"integer","format":"int32"},"required":false,"style":"form","explode":true,"in":"query"},{"schema":{"type":"integer","format":"int32"},"style":"form","name":"max_results","description":"Number of maximum items that shall be returned by this search","explode":true,"required":false,"in":"query"}],"operationId":"findTemplates","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"max_results":{"type":"integer"},"total":{"type":"integer"},"first_result":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/TemplateResource"}}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"TemplateResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"archived_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"collaborative_app_name":{"type":"string","readOnly":true},"authorized_presets":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"collaborative_app_id":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"archived_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"reference_datasets":{"type":"array","items":{"$ref":"#/components/schemas/TemplateReferenceDatasetMatchingMetaData"},"readOnly":false},"description":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["archived","authorized_presets","collaborative_app_id","id","name","organisation_id","reference_datasets"]},"TemplateReferenceDatasetMatchingMetaData":{"type":"object","properties":{"identifiers_freshness_days":{"type":"integer","format":"int64","default":0,"readOnly":false},"reference_dataset_id":{"type":"string","readOnly":false},"matching_keys":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertyType"},"readOnly":false},"custom_identifier_compartment_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"custom_identifier_labels":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":true},"refresh_frequency":{"$ref":"#/components/schemas/DatasetsMatchingRefreshFrequency"}},"required":["matching_keys","reference_dataset_id"]},"DatasetPropertyType":{"type":"string","enum":["EMAIL","EMAIL_HASH","MOBILE_PHONE_NUMBER","COOKIE_ID","ANDROID_TV_ADVERTISING_ID","APPLE_TV_ADVERTISING_ID","AMAZON_TV_ADVERTISING_ID","TIZEN_TV_ADVERTISING_ID","ANDROID_MOBILE_ADVERTISING_ID","APPLE_MOBILE_ADVERTISING_ID","ID5_UNIVERSAL_ID_DECYPHERED","ID5_UNIVERSAL_ID_CYPHERED","FIRST_ID","CUSTOM_IDENTIFIER","UTIQ_MARTECHPASS","GENDER","DATE_OF_BIRTH","YEAR_OF_BIRTH","AGE","AGE_RANGE","LANGUAGE","HOUSEHOLD_INCOME_RANGE","HOUSEHOLD_INCOME_AMOUNT","SOCIOTYPE","PARENTAL_STATUS","COUNTRY","REGION","DEPARTMENT","POSTCODE","CITY","INTEREST_CATEGORY","INTEREST_SUB_CATEGORY","INTEREST_LABEL","PURCHASE_INTENT_CATEGORY","PURCHASE_INTENT_SUB_CATEGORY","PURCHASE_INTENT_LABEL","FREQUENCY","RECENCY","AMOUNT","RFM_SEGMENTATION","DEVICE","BRAND","AGENT","BROWSER","OS","BOOLEAN","DATE","NUMERIC","STRING","allIdentifiers"],"readOnly":false},"DatasetsMatchingRefreshFrequency":{"type":"string","enum":["DAILY","WEEKLY","FORTNIGHTLY","MONTHLY"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /organisations/{organisation\_id}/clean\_room\_templates

> Create clean room template

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Data Clean Rooms","description":"Operations related to Data Clean Rooms, the secure environments for privacy-safe data collaboration and analysis between multiple parties without sharing raw user data. Enables dataset onboarding, overlap analysis, differential privacy-protected insights generation, and activation of matched audiences (common and exclusive users) on authorized platforms while maintaining strict data confidentiality and GDPR compliance."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/clean_room_templates":{"post":{"tags":["Data Clean Rooms"],"description":"","operationId":"createTemplate","parameters":[{"required":true,"name":"organisation_id","description":"Organisation id","in":"path","schema":{"type":"integer","format":"int64"},"explode":false,"style":"simple"}],"requestBody":{"description":"Infos to create template","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateResource"}}},"required":true},"summary":"Create clean room template","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/TemplateResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"TemplateResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"archived_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"collaborative_app_name":{"type":"string","readOnly":true},"authorized_presets":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"collaborative_app_id":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"archived_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"reference_datasets":{"type":"array","items":{"$ref":"#/components/schemas/TemplateReferenceDatasetMatchingMetaData"},"readOnly":false},"description":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["archived","authorized_presets","collaborative_app_id","id","name","organisation_id","reference_datasets"]},"TemplateReferenceDatasetMatchingMetaData":{"type":"object","properties":{"identifiers_freshness_days":{"type":"integer","format":"int64","default":0,"readOnly":false},"reference_dataset_id":{"type":"string","readOnly":false},"matching_keys":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertyType"},"readOnly":false},"custom_identifier_compartment_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"custom_identifier_labels":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":true},"refresh_frequency":{"$ref":"#/components/schemas/DatasetsMatchingRefreshFrequency"}},"required":["matching_keys","reference_dataset_id"]},"DatasetPropertyType":{"type":"string","enum":["EMAIL","EMAIL_HASH","MOBILE_PHONE_NUMBER","COOKIE_ID","ANDROID_TV_ADVERTISING_ID","APPLE_TV_ADVERTISING_ID","AMAZON_TV_ADVERTISING_ID","TIZEN_TV_ADVERTISING_ID","ANDROID_MOBILE_ADVERTISING_ID","APPLE_MOBILE_ADVERTISING_ID","ID5_UNIVERSAL_ID_DECYPHERED","ID5_UNIVERSAL_ID_CYPHERED","FIRST_ID","CUSTOM_IDENTIFIER","UTIQ_MARTECHPASS","GENDER","DATE_OF_BIRTH","YEAR_OF_BIRTH","AGE","AGE_RANGE","LANGUAGE","HOUSEHOLD_INCOME_RANGE","HOUSEHOLD_INCOME_AMOUNT","SOCIOTYPE","PARENTAL_STATUS","COUNTRY","REGION","DEPARTMENT","POSTCODE","CITY","INTEREST_CATEGORY","INTEREST_SUB_CATEGORY","INTEREST_LABEL","PURCHASE_INTENT_CATEGORY","PURCHASE_INTENT_SUB_CATEGORY","PURCHASE_INTENT_LABEL","FREQUENCY","RECENCY","AMOUNT","RFM_SEGMENTATION","DEVICE","BRAND","AGENT","BROWSER","OS","BOOLEAN","DATE","NUMERIC","STRING","allIdentifiers"],"readOnly":false},"DatasetsMatchingRefreshFrequency":{"type":"string","enum":["DAILY","WEEKLY","FORTNIGHTLY","MONTHLY"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /bunkers/{bunker\_id}/custom\_identifier\_matching\_keys

> List custom identifier matching keys for bunker

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Data Clean Rooms","description":"Operations related to Data Clean Rooms, the secure environments for privacy-safe data collaboration and analysis between multiple parties without sharing raw user data. Enables dataset onboarding, overlap analysis, differential privacy-protected insights generation, and activation of matched audiences (common and exclusive users) on authorized platforms while maintaining strict data confidentiality and GDPR compliance."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/bunkers/{bunker_id}/custom_identifier_matching_keys":{"get":{"parameters":[{"style":"simple","name":"bunker_id","in":"path","schema":{"type":"string"},"explode":false,"required":true},{"required":false,"description":"Offset from which the search must be performed","schema":{"type":"integer","format":"int32"},"style":"form","in":"query","name":"first_result","explode":true},{"in":"query","description":"Number of maximum items that shall be return by this search","name":"max_results","explode":true,"style":"form","schema":{"type":"integer","format":"int32"},"required":false}],"summary":"List custom identifier matching keys for bunker","operationId":"findCustomIdentifierMatchingKeys","tags":["Data Clean Rooms"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/CustomIdentifierMatchingKeyResource"}},"count":{"type":"integer"},"first_result":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"total":{"type":"integer"},"max_results":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"CustomIdentifierMatchingKeyResource":{"type":"object","properties":{"compartment_id":{"type":"string","readOnly":false},"compartment_name":{"type":"string","readOnly":false},"datamart_id":{"type":"string","readOnly":false}},"required":["compartment_id","compartment_name","datamart_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /clean\_room\_collaborative\_apps

> List available collaborative apps for clean room

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Data Clean Rooms","description":"Operations related to Data Clean Rooms, the secure environments for privacy-safe data collaboration and analysis between multiple parties without sharing raw user data. Enables dataset onboarding, overlap analysis, differential privacy-protected insights generation, and activation of matched audiences (common and exclusive users) on authorized platforms while maintaining strict data confidentiality and GDPR compliance."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/clean_room_collaborative_apps":{"get":{"description":"","summary":"List available collaborative apps for clean room","parameters":[{"required":false,"style":"form","name":"first_result","explode":true,"schema":{"type":"integer","format":"int32"},"in":"query","description":"Offset from which the search must be performed"},{"description":"Number of maximum items that shall be returned by this search","name":"max_results","required":false,"in":"query","explode":true,"schema":{"type":"integer","format":"int32"},"style":"form"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/CollaborativeAppResource"}},"status":{"type":"string","enum":["ok"]},"first_result":{"type":"integer"},"total":{"type":"integer"},"max_results":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"findCollaborativeApps","tags":["Data Clean Rooms"]}}},"components":{"schemas":{"CollaborativeAppResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"authorized_outputs":{"type":"array","items":{"$ref":"#/components/schemas/AuthorizedOutput"},"readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"name":{"type":"string","readOnly":false},"type":{"$ref":"#/components/schemas/CollaborativeAppType"},"id":{"type":"string","readOnly":true}},"required":["archived","authorized_outputs","id","name","type"]},"AuthorizedOutput":{"type":"string","enum":["INSIGHTS","ACTIVATION","ENRICHMENT"],"readOnly":false},"CollaborativeAppType":{"type":"string","enum":["DATA_SOURCING","MEDIA_AUDIENCE_PORTAL","RETAIL_BRAND_PORTAL","TV_AUDIENCE_PORTAL","CLASSIFIED_ADS_AUDIENCE_PORTAL","CONNECT_ID","COCKPIT"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /clean\_rooms/{clean\_room\_id}/datasets\_matchings/{datasets\_matching\_id}/actions

> Perform an action on datasets matching

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Data Clean Rooms","description":"Operations related to Data Clean Rooms, the secure environments for privacy-safe data collaboration and analysis between multiple parties without sharing raw user data. Enables dataset onboarding, overlap analysis, differential privacy-protected insights generation, and activation of matched audiences (common and exclusive users) on authorized platforms while maintaining strict data confidentiality and GDPR compliance."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/clean_rooms/{clean_room_id}/datasets_matchings/{datasets_matching_id}/actions":{"post":{"tags":["Data Clean Rooms"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DatasetsMatchingResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetsMatchingActionResource"}}},"required":true},"description":"","operationId":"performDatasetsMatchingAction","summary":"Perform an action on datasets matching","parameters":[{"explode":false,"in":"path","schema":{"type":"string"},"description":"Clean room Id","required":true,"style":"simple","name":"clean_room_id"},{"description":"Datasets intersection Id","style":"simple","schema":{"type":"string"},"name":"datasets_matching_id","in":"path","explode":false,"required":true}]}}},"components":{"schemas":{"DatasetsMatchingResource":{"type":"object","properties":{"refresh_frequency":{"$ref":"#/components/schemas/DatasetsMatchingRefreshFrequency"},"initiator_org_id":{"type":"string","readOnly":false},"custom_identifier_labels":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":true},"identifiers_freshness_days":{"type":"integer","default":0,"format":"int64","readOnly":false},"name":{"type":"string","readOnly":false},"feeds":{"type":"array","items":{"$ref":"#/components/schemas/AudienceSegmentExternalFeedShortResource"},"readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_refresh_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"matched_datasets":{"type":"array","items":{"$ref":"#/components/schemas/DatasetMatchedResource"},"readOnly":true},"status":{"$ref":"#/components/schemas/DatasetsMatchingStatus"},"datasets_matching_history_key_stats":{"type":"array","items":{"$ref":"#/components/schemas/DatasetsMatchingHistoryKeyStatResource"},"readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"count_matched_records":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"segment_id":{"type":"string","readOnly":true},"custom_identifier_compartment_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"external_dashboard_url":{"type":"string","readOnly":false},"matching_keys":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertyType"},"readOnly":true},"clean_room_id":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":false}},"required":["archived","clean_room_id","created_ts","id","initiator_org_id","matched_datasets","matching_keys","name","status"]},"DatasetsMatchingRefreshFrequency":{"type":"string","enum":["DAILY","WEEKLY","FORTNIGHTLY","MONTHLY"],"readOnly":false},"AudienceSegmentExternalFeedShortResource":{"type":"object","properties":{"artifact_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"audience_segment_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true}},"required":["artifact_id","audience_segment_id","id","plugin_id","plugin_version_id"]},"DatasetMatchedResource":{"type":"object","properties":{"dataset":{"$ref":"#/components/schemas/DatasetSharedResource"},"organisation_id":{"type":"string","readOnly":true},"dataset_update_id":{"type":"string","readOnly":true},"purposes":{"type":"array","items":{"$ref":"#/components/schemas/DatasetCleanRoomPurpose"},"readOnly":true},"clean_room_id":{"type":"string","readOnly":false},"dataset_id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["clean_room_id","created_ts","dataset_id","dataset_update_id","expiration_ts","organisation_id"]},"DatasetSharedResource":{"discriminator":{"propertyName":"type","mapping":{"USER_PROFILE":"#/components/schemas/UserProfileDatasetSharedResource","SEGMENT":"#/components/schemas/SegmentDatasetSharedResource","SEGMENT_CATALOG":"#/components/schemas/SegmentCatalogDatasetSharedResource"}},"oneOf":[{"$ref":"#/components/schemas/UserProfileDatasetSharedResource"},{"$ref":"#/components/schemas/SegmentDatasetSharedResource"},{"$ref":"#/components/schemas/SegmentCatalogDatasetSharedResource"}],"properties":{"type":{"type":"string","enum":["USER_PROFILE","SEGMENT","SEGMENT_CATALOG"]}},"required":["type"]},"UserProfileDatasetSharedResource":{"type":"object","properties":{"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertySharedResource"},"readOnly":true},"status":{"$ref":"#/components/schemas/DatasetStatus"},"type":{"$ref":"#/components/schemas/DatasetType"},"organisation_id":{"type":"string","readOnly":true},"organisation_name":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":true},"records_count":{"type":"integer","format":"int64","default":0,"readOnly":true},"source":{"$ref":"#/components/schemas/DatasetSource"},"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true}},"required":["expiration_ts","id","name","organisation_id","organisation_name","properties","source","status","type"]},"DatasetPropertySharedResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"property_type":{"$ref":"#/components/schemas/DatasetPropertyType"},"position":{"type":"integer","format":"int32","default":0,"readOnly":false},"name":{"type":"string","readOnly":false},"matching_key":{"type":"boolean","default":false,"readOnly":false}},"required":["id","matching_key","name","position","property_type"]},"DatasetPropertyType":{"type":"string","enum":["EMAIL","EMAIL_HASH","MOBILE_PHONE_NUMBER","COOKIE_ID","ANDROID_TV_ADVERTISING_ID","APPLE_TV_ADVERTISING_ID","AMAZON_TV_ADVERTISING_ID","TIZEN_TV_ADVERTISING_ID","ANDROID_MOBILE_ADVERTISING_ID","APPLE_MOBILE_ADVERTISING_ID","ID5_UNIVERSAL_ID_DECYPHERED","ID5_UNIVERSAL_ID_CYPHERED","FIRST_ID","CUSTOM_IDENTIFIER","UTIQ_MARTECHPASS","GENDER","DATE_OF_BIRTH","YEAR_OF_BIRTH","AGE","AGE_RANGE","LANGUAGE","HOUSEHOLD_INCOME_RANGE","HOUSEHOLD_INCOME_AMOUNT","SOCIOTYPE","PARENTAL_STATUS","COUNTRY","REGION","DEPARTMENT","POSTCODE","CITY","INTEREST_CATEGORY","INTEREST_SUB_CATEGORY","INTEREST_LABEL","PURCHASE_INTENT_CATEGORY","PURCHASE_INTENT_SUB_CATEGORY","PURCHASE_INTENT_LABEL","FREQUENCY","RECENCY","AMOUNT","RFM_SEGMENTATION","DEVICE","BRAND","AGENT","BROWSER","OS","BOOLEAN","DATE","NUMERIC","STRING","allIdentifiers"],"readOnly":false},"DatasetStatus":{"type":"string","enum":["SYNCHRONIZATION_PENDING","UPDATE_IN_PROGRESS","ACTIVE","ACTIVE_LAST_UPDATE_ERROR","ERROR"],"readOnly":false},"DatasetType":{"type":"string","enum":["SEGMENT","SEGMENT_CATALOG","USER_PROFILE","CAMPAIGN_LOG","TRANSACTION_LOG"],"readOnly":false},"DatasetSource":{"type":"string","enum":["FILE","DATAMART","DATA_WAREHOUSE","CUSTOM","CLEAN_ROOM"],"readOnly":false},"SegmentDatasetSharedResource":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/DatasetType"},"description":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertySharedResource"},"readOnly":true},"organisation_name":{"type":"string","readOnly":true},"status":{"$ref":"#/components/schemas/DatasetStatus"},"organisation_id":{"type":"string","readOnly":true},"source":{"$ref":"#/components/schemas/DatasetSource"},"name":{"type":"string","readOnly":true},"records_count":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["expiration_ts","id","name","organisation_id","organisation_name","properties","source","status","type"]},"SegmentCatalogDatasetSharedResource":{"type":"object","properties":{"records_count":{"type":"integer","format":"int64","default":0,"readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertySharedResource"},"readOnly":true},"description":{"type":"string","readOnly":true},"organisation_name":{"type":"string","readOnly":true},"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":true},"status":{"$ref":"#/components/schemas/DatasetStatus"},"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true},"type":{"$ref":"#/components/schemas/DatasetType"},"source":{"$ref":"#/components/schemas/DatasetSource"}},"required":["expiration_ts","id","name","organisation_id","organisation_name","properties","source","status","type"]},"DatasetCleanRoomPurpose":{"type":"string","enum":["ACTIVATION","ENRICHMENT","INSIGHTS"],"readOnly":false},"DatasetsMatchingStatus":{"type":"string","enum":["PENDING","ACTIVE","ERROR"],"readOnly":false},"DatasetsMatchingHistoryKeyStatResource":{"type":"object","properties":{"related_identifiers_count":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_name":{"type":"string","readOnly":true},"common_identifiers_count":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_id":{"type":"string","readOnly":true},"matching_key_type":{"$ref":"#/components/schemas/DatasetPropertyType"},"datasets_matching_history_id":{"type":"string","readOnly":true}},"required":["datasets_matching_history_id","matching_key_type"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]},"DatasetsMatchingActionResource":{"type":"object","properties":{"action":{"$ref":"#/components/schemas/DatasetsMatchingAction"},"organisation_id":{"type":"string","readOnly":false}},"required":["action"]},"DatasetsMatchingAction":{"type":"string","enum":["ARCHIVE","REFRESH"],"readOnly":false}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /datasets/{dataset\_id}

> Search dataset by Id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Data Clean Rooms","description":"Operations related to Data Clean Rooms, the secure environments for privacy-safe data collaboration and analysis between multiple parties without sharing raw user data. Enables dataset onboarding, overlap analysis, differential privacy-protected insights generation, and activation of matched audiences (common and exclusive users) on authorized platforms while maintaining strict data confidentiality and GDPR compliance."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datasets/{dataset_id}":{"get":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DatasetResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getDataset","description":"","tags":["Data Clean Rooms"],"summary":"Search dataset by Id","parameters":[{"explode":false,"style":"simple","in":"path","required":true,"description":"The dataset id","schema":{"type":"string"},"name":"dataset_id"},{"description":"Organisation owning the dataset","name":"organisation_id","schema":{"type":"integer","format":"int64"},"style":"form","explode":true,"in":"query","required":true}]}}},"components":{"schemas":{"DatasetResource":{"discriminator":{"propertyName":"type","mapping":{"USER_PROFILE":"#/components/schemas/UserProfileDatasetResource","SEGMENT":"#/components/schemas/SegmentDatasetResource","SEGMENT_CATALOG":"#/components/schemas/SegmentCatalogDatasetResource"}},"oneOf":[{"$ref":"#/components/schemas/UserProfileDatasetResource"},{"$ref":"#/components/schemas/SegmentDatasetResource"},{"$ref":"#/components/schemas/SegmentCatalogDatasetResource"}],"properties":{"type":{"type":"string","enum":["USER_PROFILE","SEGMENT","SEGMENT_CATALOG"]}},"required":["type"]},"UserProfileDatasetResource":{"type":"object","properties":{"bunker_id":{"type":"string","readOnly":false},"source":{"$ref":"#/components/schemas/DatasetSource"},"status":{"$ref":"#/components/schemas/DatasetStatus"},"records_count":{"type":"integer","format":"int64","default":0,"readOnly":true},"archived_by":{"type":"string","readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertyResource"},"readOnly":false},"description":{"type":"string","readOnly":true},"organisation_id":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"archived_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"type":{"$ref":"#/components/schemas/DatasetType"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"id":{"type":"string","readOnly":true},"organisation_name":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"name":{"type":"string","readOnly":false}},"required":["archived","bunker_id","created_by","created_ts","expiration_ts","id","name","organisation_id","organisation_name","properties","source","status","type"]},"DatasetSource":{"type":"string","enum":["FILE","DATAMART","DATA_WAREHOUSE","CUSTOM","CLEAN_ROOM"],"readOnly":false},"DatasetStatus":{"type":"string","enum":["SYNCHRONIZATION_PENDING","UPDATE_IN_PROGRESS","ACTIVE","ACTIVE_LAST_UPDATE_ERROR","ERROR"],"readOnly":false},"DatasetPropertyResource":{"type":"object","properties":{"fill_rate":{"type":"number","format":"float","default":0,"readOnly":false},"name":{"type":"string","readOnly":false},"position":{"type":"integer","format":"int32","default":0,"readOnly":false},"compartment_id":{"type":"string","readOnly":false},"data_sample":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"property_type":{"$ref":"#/components/schemas/DatasetPropertyType"},"compartment_name":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"matching_key":{"type":"boolean","default":false,"readOnly":false}},"required":["id","matching_key","name","position","property_type"]},"DatasetPropertyType":{"type":"string","enum":["EMAIL","EMAIL_HASH","MOBILE_PHONE_NUMBER","COOKIE_ID","ANDROID_TV_ADVERTISING_ID","APPLE_TV_ADVERTISING_ID","AMAZON_TV_ADVERTISING_ID","TIZEN_TV_ADVERTISING_ID","ANDROID_MOBILE_ADVERTISING_ID","APPLE_MOBILE_ADVERTISING_ID","ID5_UNIVERSAL_ID_DECYPHERED","ID5_UNIVERSAL_ID_CYPHERED","FIRST_ID","CUSTOM_IDENTIFIER","UTIQ_MARTECHPASS","GENDER","DATE_OF_BIRTH","YEAR_OF_BIRTH","AGE","AGE_RANGE","LANGUAGE","HOUSEHOLD_INCOME_RANGE","HOUSEHOLD_INCOME_AMOUNT","SOCIOTYPE","PARENTAL_STATUS","COUNTRY","REGION","DEPARTMENT","POSTCODE","CITY","INTEREST_CATEGORY","INTEREST_SUB_CATEGORY","INTEREST_LABEL","PURCHASE_INTENT_CATEGORY","PURCHASE_INTENT_SUB_CATEGORY","PURCHASE_INTENT_LABEL","FREQUENCY","RECENCY","AMOUNT","RFM_SEGMENTATION","DEVICE","BRAND","AGENT","BROWSER","OS","BOOLEAN","DATE","NUMERIC","STRING","allIdentifiers"],"readOnly":false},"DatasetType":{"type":"string","enum":["SEGMENT","SEGMENT_CATALOG","USER_PROFILE","CAMPAIGN_LOG","TRANSACTION_LOG"],"readOnly":false},"SegmentDatasetResource":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/DatasetType"},"description":{"type":"string","readOnly":true},"organisation_name":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"datamart_id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertyResource"},"readOnly":false},"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"created_by":{"type":"string","readOnly":true},"archived_by":{"type":"string","readOnly":true},"status":{"$ref":"#/components/schemas/DatasetStatus"},"records_count":{"type":"integer","format":"int64","default":0,"readOnly":true},"segment_id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"archived_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"bunker_id":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"source":{"$ref":"#/components/schemas/DatasetSource"},"organisation_id":{"type":"string","readOnly":false}},"required":["archived","bunker_id","created_by","created_ts","expiration_ts","id","name","organisation_id","organisation_name","properties","source","status","type"]},"SegmentCatalogDatasetResource":{"type":"object","properties":{"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertyResource"},"readOnly":false},"organisation_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"organisation_name":{"type":"string","readOnly":true},"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"description":{"type":"string","readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"source":{"$ref":"#/components/schemas/DatasetSource"},"records_count":{"type":"integer","format":"int64","default":0,"readOnly":true},"archived_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"label_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"type":{"$ref":"#/components/schemas/DatasetType"},"datamart_id":{"type":"string","readOnly":false},"archived_by":{"type":"string","readOnly":true},"bunker_id":{"type":"string","readOnly":false},"status":{"$ref":"#/components/schemas/DatasetStatus"}},"required":["archived","bunker_id","created_by","created_ts","expiration_ts","id","label_ids","name","organisation_id","organisation_name","properties","source","status","type"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /datasets/{dataset\_id}

> Modify dataset

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Data Clean Rooms","description":"Operations related to Data Clean Rooms, the secure environments for privacy-safe data collaboration and analysis between multiple parties without sharing raw user data. Enables dataset onboarding, overlap analysis, differential privacy-protected insights generation, and activation of matched audiences (common and exclusive users) on authorized platforms while maintaining strict data confidentiality and GDPR compliance."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datasets/{dataset_id}":{"put":{"operationId":"modifyDataset","summary":"Modify dataset","parameters":[{"schema":{"type":"string"},"style":"simple","explode":false,"required":true,"description":"The dataset id","in":"path","name":"dataset_id"}],"requestBody":{"description":"The dataset to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetResource"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DatasetResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","tags":["Data Clean Rooms"]}}},"components":{"schemas":{"DatasetResource":{"discriminator":{"propertyName":"type","mapping":{"USER_PROFILE":"#/components/schemas/UserProfileDatasetResource","SEGMENT":"#/components/schemas/SegmentDatasetResource","SEGMENT_CATALOG":"#/components/schemas/SegmentCatalogDatasetResource"}},"oneOf":[{"$ref":"#/components/schemas/UserProfileDatasetResource"},{"$ref":"#/components/schemas/SegmentDatasetResource"},{"$ref":"#/components/schemas/SegmentCatalogDatasetResource"}],"properties":{"type":{"type":"string","enum":["USER_PROFILE","SEGMENT","SEGMENT_CATALOG"]}},"required":["type"]},"UserProfileDatasetResource":{"type":"object","properties":{"bunker_id":{"type":"string","readOnly":false},"source":{"$ref":"#/components/schemas/DatasetSource"},"status":{"$ref":"#/components/schemas/DatasetStatus"},"records_count":{"type":"integer","format":"int64","default":0,"readOnly":true},"archived_by":{"type":"string","readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertyResource"},"readOnly":false},"description":{"type":"string","readOnly":true},"organisation_id":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"archived_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"type":{"$ref":"#/components/schemas/DatasetType"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"id":{"type":"string","readOnly":true},"organisation_name":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"name":{"type":"string","readOnly":false}},"required":["archived","bunker_id","created_by","created_ts","expiration_ts","id","name","organisation_id","organisation_name","properties","source","status","type"]},"DatasetSource":{"type":"string","enum":["FILE","DATAMART","DATA_WAREHOUSE","CUSTOM","CLEAN_ROOM"],"readOnly":false},"DatasetStatus":{"type":"string","enum":["SYNCHRONIZATION_PENDING","UPDATE_IN_PROGRESS","ACTIVE","ACTIVE_LAST_UPDATE_ERROR","ERROR"],"readOnly":false},"DatasetPropertyResource":{"type":"object","properties":{"fill_rate":{"type":"number","format":"float","default":0,"readOnly":false},"name":{"type":"string","readOnly":false},"position":{"type":"integer","format":"int32","default":0,"readOnly":false},"compartment_id":{"type":"string","readOnly":false},"data_sample":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"property_type":{"$ref":"#/components/schemas/DatasetPropertyType"},"compartment_name":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"matching_key":{"type":"boolean","default":false,"readOnly":false}},"required":["id","matching_key","name","position","property_type"]},"DatasetPropertyType":{"type":"string","enum":["EMAIL","EMAIL_HASH","MOBILE_PHONE_NUMBER","COOKIE_ID","ANDROID_TV_ADVERTISING_ID","APPLE_TV_ADVERTISING_ID","AMAZON_TV_ADVERTISING_ID","TIZEN_TV_ADVERTISING_ID","ANDROID_MOBILE_ADVERTISING_ID","APPLE_MOBILE_ADVERTISING_ID","ID5_UNIVERSAL_ID_DECYPHERED","ID5_UNIVERSAL_ID_CYPHERED","FIRST_ID","CUSTOM_IDENTIFIER","UTIQ_MARTECHPASS","GENDER","DATE_OF_BIRTH","YEAR_OF_BIRTH","AGE","AGE_RANGE","LANGUAGE","HOUSEHOLD_INCOME_RANGE","HOUSEHOLD_INCOME_AMOUNT","SOCIOTYPE","PARENTAL_STATUS","COUNTRY","REGION","DEPARTMENT","POSTCODE","CITY","INTEREST_CATEGORY","INTEREST_SUB_CATEGORY","INTEREST_LABEL","PURCHASE_INTENT_CATEGORY","PURCHASE_INTENT_SUB_CATEGORY","PURCHASE_INTENT_LABEL","FREQUENCY","RECENCY","AMOUNT","RFM_SEGMENTATION","DEVICE","BRAND","AGENT","BROWSER","OS","BOOLEAN","DATE","NUMERIC","STRING","allIdentifiers"],"readOnly":false},"DatasetType":{"type":"string","enum":["SEGMENT","SEGMENT_CATALOG","USER_PROFILE","CAMPAIGN_LOG","TRANSACTION_LOG"],"readOnly":false},"SegmentDatasetResource":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/DatasetType"},"description":{"type":"string","readOnly":true},"organisation_name":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"datamart_id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertyResource"},"readOnly":false},"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"created_by":{"type":"string","readOnly":true},"archived_by":{"type":"string","readOnly":true},"status":{"$ref":"#/components/schemas/DatasetStatus"},"records_count":{"type":"integer","format":"int64","default":0,"readOnly":true},"segment_id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"archived_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"bunker_id":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"source":{"$ref":"#/components/schemas/DatasetSource"},"organisation_id":{"type":"string","readOnly":false}},"required":["archived","bunker_id","created_by","created_ts","expiration_ts","id","name","organisation_id","organisation_name","properties","source","status","type"]},"SegmentCatalogDatasetResource":{"type":"object","properties":{"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertyResource"},"readOnly":false},"organisation_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"organisation_name":{"type":"string","readOnly":true},"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"description":{"type":"string","readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"source":{"$ref":"#/components/schemas/DatasetSource"},"records_count":{"type":"integer","format":"int64","default":0,"readOnly":true},"archived_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"label_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"type":{"$ref":"#/components/schemas/DatasetType"},"datamart_id":{"type":"string","readOnly":false},"archived_by":{"type":"string","readOnly":true},"bunker_id":{"type":"string","readOnly":false},"status":{"$ref":"#/components/schemas/DatasetStatus"}},"required":["archived","bunker_id","created_by","created_ts","expiration_ts","id","label_ids","name","organisation_id","organisation_name","properties","source","status","type"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /datasets/{dataset\_id}

> Delete dataset

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Data Clean Rooms","description":"Operations related to Data Clean Rooms, the secure environments for privacy-safe data collaboration and analysis between multiple parties without sharing raw user data. Enables dataset onboarding, overlap analysis, differential privacy-protected insights generation, and activation of matched audiences (common and exclusive users) on authorized platforms while maintaining strict data confidentiality and GDPR compliance."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datasets/{dataset_id}":{"delete":{"operationId":"deleteDataset","parameters":[{"required":true,"style":"simple","in":"path","explode":false,"name":"dataset_id","description":"The dataset id","schema":{"type":"string"}}],"description":"","tags":["Data Clean Rooms"],"responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Delete dataset"}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /organisations/{organisation\_id}/clean\_room\_templates/{template\_id}

> Get a clean room template by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Data Clean Rooms","description":"Operations related to Data Clean Rooms, the secure environments for privacy-safe data collaboration and analysis between multiple parties without sharing raw user data. Enables dataset onboarding, overlap analysis, differential privacy-protected insights generation, and activation of matched audiences (common and exclusive users) on authorized platforms while maintaining strict data confidentiality and GDPR compliance."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/clean_room_templates/{template_id}":{"get":{"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/TemplateResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getTemplate","parameters":[{"name":"organisation_id","in":"path","explode":false,"required":true,"description":"Organisation id","schema":{"type":"integer","format":"int64"},"style":"simple"},{"description":"Template id","style":"simple","schema":{"type":"string"},"in":"path","required":true,"name":"template_id","explode":false}],"tags":["Data Clean Rooms"],"summary":"Get a clean room template by id"}}},"components":{"schemas":{"TemplateResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"archived_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"collaborative_app_name":{"type":"string","readOnly":true},"authorized_presets":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"collaborative_app_id":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"archived_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"reference_datasets":{"type":"array","items":{"$ref":"#/components/schemas/TemplateReferenceDatasetMatchingMetaData"},"readOnly":false},"description":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["archived","authorized_presets","collaborative_app_id","id","name","organisation_id","reference_datasets"]},"TemplateReferenceDatasetMatchingMetaData":{"type":"object","properties":{"identifiers_freshness_days":{"type":"integer","format":"int64","default":0,"readOnly":false},"reference_dataset_id":{"type":"string","readOnly":false},"matching_keys":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertyType"},"readOnly":false},"custom_identifier_compartment_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"custom_identifier_labels":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":true},"refresh_frequency":{"$ref":"#/components/schemas/DatasetsMatchingRefreshFrequency"}},"required":["matching_keys","reference_dataset_id"]},"DatasetPropertyType":{"type":"string","enum":["EMAIL","EMAIL_HASH","MOBILE_PHONE_NUMBER","COOKIE_ID","ANDROID_TV_ADVERTISING_ID","APPLE_TV_ADVERTISING_ID","AMAZON_TV_ADVERTISING_ID","TIZEN_TV_ADVERTISING_ID","ANDROID_MOBILE_ADVERTISING_ID","APPLE_MOBILE_ADVERTISING_ID","ID5_UNIVERSAL_ID_DECYPHERED","ID5_UNIVERSAL_ID_CYPHERED","FIRST_ID","CUSTOM_IDENTIFIER","UTIQ_MARTECHPASS","GENDER","DATE_OF_BIRTH","YEAR_OF_BIRTH","AGE","AGE_RANGE","LANGUAGE","HOUSEHOLD_INCOME_RANGE","HOUSEHOLD_INCOME_AMOUNT","SOCIOTYPE","PARENTAL_STATUS","COUNTRY","REGION","DEPARTMENT","POSTCODE","CITY","INTEREST_CATEGORY","INTEREST_SUB_CATEGORY","INTEREST_LABEL","PURCHASE_INTENT_CATEGORY","PURCHASE_INTENT_SUB_CATEGORY","PURCHASE_INTENT_LABEL","FREQUENCY","RECENCY","AMOUNT","RFM_SEGMENTATION","DEVICE","BRAND","AGENT","BROWSER","OS","BOOLEAN","DATE","NUMERIC","STRING","allIdentifiers"],"readOnly":false},"DatasetsMatchingRefreshFrequency":{"type":"string","enum":["DAILY","WEEKLY","FORTNIGHTLY","MONTHLY"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /organisations/{organisation\_id}/clean\_room\_templates/{template\_id}

> Update a clean room template

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Data Clean Rooms","description":"Operations related to Data Clean Rooms, the secure environments for privacy-safe data collaboration and analysis between multiple parties without sharing raw user data. Enables dataset onboarding, overlap analysis, differential privacy-protected insights generation, and activation of matched audiences (common and exclusive users) on authorized platforms while maintaining strict data confidentiality and GDPR compliance."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/clean_room_templates/{template_id}":{"put":{"summary":"Update a clean room template","parameters":[{"required":true,"name":"organisation_id","schema":{"type":"integer","format":"int64"},"description":"Organisation id","in":"path","explode":false,"style":"simple"},{"description":"Template id","in":"path","style":"simple","explode":false,"schema":{"type":"string"},"required":true,"name":"template_id"}],"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/TemplateResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Data Clean Rooms"],"requestBody":{"description":"The template to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateResource"}}},"required":true},"operationId":"updateTemplate"}}},"components":{"schemas":{"TemplateResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"archived_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"collaborative_app_name":{"type":"string","readOnly":true},"authorized_presets":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"collaborative_app_id":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"archived_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"reference_datasets":{"type":"array","items":{"$ref":"#/components/schemas/TemplateReferenceDatasetMatchingMetaData"},"readOnly":false},"description":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["archived","authorized_presets","collaborative_app_id","id","name","organisation_id","reference_datasets"]},"TemplateReferenceDatasetMatchingMetaData":{"type":"object","properties":{"identifiers_freshness_days":{"type":"integer","format":"int64","default":0,"readOnly":false},"reference_dataset_id":{"type":"string","readOnly":false},"matching_keys":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertyType"},"readOnly":false},"custom_identifier_compartment_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"custom_identifier_labels":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":true},"refresh_frequency":{"$ref":"#/components/schemas/DatasetsMatchingRefreshFrequency"}},"required":["matching_keys","reference_dataset_id"]},"DatasetPropertyType":{"type":"string","enum":["EMAIL","EMAIL_HASH","MOBILE_PHONE_NUMBER","COOKIE_ID","ANDROID_TV_ADVERTISING_ID","APPLE_TV_ADVERTISING_ID","AMAZON_TV_ADVERTISING_ID","TIZEN_TV_ADVERTISING_ID","ANDROID_MOBILE_ADVERTISING_ID","APPLE_MOBILE_ADVERTISING_ID","ID5_UNIVERSAL_ID_DECYPHERED","ID5_UNIVERSAL_ID_CYPHERED","FIRST_ID","CUSTOM_IDENTIFIER","UTIQ_MARTECHPASS","GENDER","DATE_OF_BIRTH","YEAR_OF_BIRTH","AGE","AGE_RANGE","LANGUAGE","HOUSEHOLD_INCOME_RANGE","HOUSEHOLD_INCOME_AMOUNT","SOCIOTYPE","PARENTAL_STATUS","COUNTRY","REGION","DEPARTMENT","POSTCODE","CITY","INTEREST_CATEGORY","INTEREST_SUB_CATEGORY","INTEREST_LABEL","PURCHASE_INTENT_CATEGORY","PURCHASE_INTENT_SUB_CATEGORY","PURCHASE_INTENT_LABEL","FREQUENCY","RECENCY","AMOUNT","RFM_SEGMENTATION","DEVICE","BRAND","AGENT","BROWSER","OS","BOOLEAN","DATE","NUMERIC","STRING","allIdentifiers"],"readOnly":false},"DatasetsMatchingRefreshFrequency":{"type":"string","enum":["DAILY","WEEKLY","FORTNIGHTLY","MONTHLY"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /clean\_rooms/{clean\_room\_id}/datasets

> Find clean room datasets

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Data Clean Rooms","description":"Operations related to Data Clean Rooms, the secure environments for privacy-safe data collaboration and analysis between multiple parties without sharing raw user data. Enables dataset onboarding, overlap analysis, differential privacy-protected insights generation, and activation of matched audiences (common and exclusive users) on authorized platforms while maintaining strict data confidentiality and GDPR compliance."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/clean_rooms/{clean_room_id}/datasets":{"get":{"tags":["Data Clean Rooms"],"operationId":"findDatasetCleanRooms","summary":"Find clean room datasets","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"max_results":{"type":"integer"},"count":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/DatasetCleanRoomResource"}},"first_result":{"type":"integer"},"total":{"type":"integer"},"status":{"type":"string","enum":["ok"]}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","parameters":[{"description":"Clean room owning datasets","name":"clean_room_id","in":"path","explode":false,"required":true,"style":"simple","schema":{"type":"string"}},{"description":"Organisation owning datasets","explode":true,"in":"query","required":false,"name":"organisation_id","schema":{"type":"integer","format":"int64"},"style":"form"},{"in":"query","schema":{"type":"boolean"},"name":"archived","description":"If true the result will contain only archived clean rooms","style":"form","explode":true,"required":false},{"style":"form","description":"Types of datasets to include","in":"query","name":"dataset_type","explode":true,"schema":{"type":"array","items":{"$ref":"#/components/schemas/DatasetType"}},"required":false},{"in":"query","description":"Offset from which the search must be performed","explode":true,"schema":{"type":"integer","format":"int32"},"name":"first_result","style":"form","required":false},{"explode":true,"required":false,"in":"query","description":"Number of maximum items that shall be return by this search","schema":{"type":"integer","format":"int32"},"name":"max_results","style":"form"},{"required":false,"style":"form","in":"query","description":"View the clean room data from this organisation's side. Only honoured when the caller has access to it; ignored otherwise.","name":"as_organisation_id","explode":true,"schema":{"type":"string"}}]}}},"components":{"schemas":{"DatasetCleanRoomResource":{"type":"object","properties":{"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"dataset_id":{"type":"string","readOnly":false},"purposes":{"type":"array","items":{"$ref":"#/components/schemas/DatasetCleanRoomPurpose"},"readOnly":false},"created_by":{"type":"string","readOnly":true},"clean_room_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"dataset":{"$ref":"#/components/schemas/DatasetSharedResource"},"archived_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":true},"archived_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["archived","clean_room_id","created_ts","dataset_id","expiration_ts","organisation_id"]},"DatasetCleanRoomPurpose":{"type":"string","enum":["ACTIVATION","ENRICHMENT","INSIGHTS"],"readOnly":false},"DatasetSharedResource":{"discriminator":{"propertyName":"type","mapping":{"USER_PROFILE":"#/components/schemas/UserProfileDatasetSharedResource","SEGMENT":"#/components/schemas/SegmentDatasetSharedResource","SEGMENT_CATALOG":"#/components/schemas/SegmentCatalogDatasetSharedResource"}},"oneOf":[{"$ref":"#/components/schemas/UserProfileDatasetSharedResource"},{"$ref":"#/components/schemas/SegmentDatasetSharedResource"},{"$ref":"#/components/schemas/SegmentCatalogDatasetSharedResource"}],"properties":{"type":{"type":"string","enum":["USER_PROFILE","SEGMENT","SEGMENT_CATALOG"]}},"required":["type"]},"UserProfileDatasetSharedResource":{"type":"object","properties":{"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertySharedResource"},"readOnly":true},"status":{"$ref":"#/components/schemas/DatasetStatus"},"type":{"$ref":"#/components/schemas/DatasetType"},"organisation_id":{"type":"string","readOnly":true},"organisation_name":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":true},"records_count":{"type":"integer","format":"int64","default":0,"readOnly":true},"source":{"$ref":"#/components/schemas/DatasetSource"},"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true}},"required":["expiration_ts","id","name","organisation_id","organisation_name","properties","source","status","type"]},"DatasetPropertySharedResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"property_type":{"$ref":"#/components/schemas/DatasetPropertyType"},"position":{"type":"integer","format":"int32","default":0,"readOnly":false},"name":{"type":"string","readOnly":false},"matching_key":{"type":"boolean","default":false,"readOnly":false}},"required":["id","matching_key","name","position","property_type"]},"DatasetPropertyType":{"type":"string","enum":["EMAIL","EMAIL_HASH","MOBILE_PHONE_NUMBER","COOKIE_ID","ANDROID_TV_ADVERTISING_ID","APPLE_TV_ADVERTISING_ID","AMAZON_TV_ADVERTISING_ID","TIZEN_TV_ADVERTISING_ID","ANDROID_MOBILE_ADVERTISING_ID","APPLE_MOBILE_ADVERTISING_ID","ID5_UNIVERSAL_ID_DECYPHERED","ID5_UNIVERSAL_ID_CYPHERED","FIRST_ID","CUSTOM_IDENTIFIER","UTIQ_MARTECHPASS","GENDER","DATE_OF_BIRTH","YEAR_OF_BIRTH","AGE","AGE_RANGE","LANGUAGE","HOUSEHOLD_INCOME_RANGE","HOUSEHOLD_INCOME_AMOUNT","SOCIOTYPE","PARENTAL_STATUS","COUNTRY","REGION","DEPARTMENT","POSTCODE","CITY","INTEREST_CATEGORY","INTEREST_SUB_CATEGORY","INTEREST_LABEL","PURCHASE_INTENT_CATEGORY","PURCHASE_INTENT_SUB_CATEGORY","PURCHASE_INTENT_LABEL","FREQUENCY","RECENCY","AMOUNT","RFM_SEGMENTATION","DEVICE","BRAND","AGENT","BROWSER","OS","BOOLEAN","DATE","NUMERIC","STRING","allIdentifiers"],"readOnly":false},"DatasetStatus":{"type":"string","enum":["SYNCHRONIZATION_PENDING","UPDATE_IN_PROGRESS","ACTIVE","ACTIVE_LAST_UPDATE_ERROR","ERROR"],"readOnly":false},"DatasetType":{"type":"string","enum":["SEGMENT","SEGMENT_CATALOG","USER_PROFILE","CAMPAIGN_LOG","TRANSACTION_LOG"],"readOnly":false},"DatasetSource":{"type":"string","enum":["FILE","DATAMART","DATA_WAREHOUSE","CUSTOM","CLEAN_ROOM"],"readOnly":false},"SegmentDatasetSharedResource":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/DatasetType"},"description":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertySharedResource"},"readOnly":true},"organisation_name":{"type":"string","readOnly":true},"status":{"$ref":"#/components/schemas/DatasetStatus"},"organisation_id":{"type":"string","readOnly":true},"source":{"$ref":"#/components/schemas/DatasetSource"},"name":{"type":"string","readOnly":true},"records_count":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["expiration_ts","id","name","organisation_id","organisation_name","properties","source","status","type"]},"SegmentCatalogDatasetSharedResource":{"type":"object","properties":{"records_count":{"type":"integer","format":"int64","default":0,"readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertySharedResource"},"readOnly":true},"description":{"type":"string","readOnly":true},"organisation_name":{"type":"string","readOnly":true},"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":true},"status":{"$ref":"#/components/schemas/DatasetStatus"},"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true},"type":{"$ref":"#/components/schemas/DatasetType"},"source":{"$ref":"#/components/schemas/DatasetSource"}},"required":["expiration_ts","id","name","organisation_id","organisation_name","properties","source","status","type"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /clean\_rooms/{clean\_room\_id}/datasets

> share a dataset in a clean room

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Data Clean Rooms","description":"Operations related to Data Clean Rooms, the secure environments for privacy-safe data collaboration and analysis between multiple parties without sharing raw user data. Enables dataset onboarding, overlap analysis, differential privacy-protected insights generation, and activation of matched audiences (common and exclusive users) on authorized platforms while maintaining strict data confidentiality and GDPR compliance."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/clean_rooms/{clean_room_id}/datasets":{"post":{"summary":"share a dataset in a clean room","description":"","requestBody":{"description":"The dataset to share","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetCleanRoomResource"}}},"required":true},"operationId":"shareDatasetInCleanRoom","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DatasetCleanRoomResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"name":"clean_room_id","style":"simple","description":"Clean room owning datasets","required":true,"schema":{"type":"string"},"in":"path","explode":false}],"tags":["Data Clean Rooms"]}}},"components":{"schemas":{"DatasetCleanRoomResource":{"type":"object","properties":{"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"dataset_id":{"type":"string","readOnly":false},"purposes":{"type":"array","items":{"$ref":"#/components/schemas/DatasetCleanRoomPurpose"},"readOnly":false},"created_by":{"type":"string","readOnly":true},"clean_room_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"dataset":{"$ref":"#/components/schemas/DatasetSharedResource"},"archived_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":true},"archived_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["archived","clean_room_id","created_ts","dataset_id","expiration_ts","organisation_id"]},"DatasetCleanRoomPurpose":{"type":"string","enum":["ACTIVATION","ENRICHMENT","INSIGHTS"],"readOnly":false},"DatasetSharedResource":{"discriminator":{"propertyName":"type","mapping":{"USER_PROFILE":"#/components/schemas/UserProfileDatasetSharedResource","SEGMENT":"#/components/schemas/SegmentDatasetSharedResource","SEGMENT_CATALOG":"#/components/schemas/SegmentCatalogDatasetSharedResource"}},"oneOf":[{"$ref":"#/components/schemas/UserProfileDatasetSharedResource"},{"$ref":"#/components/schemas/SegmentDatasetSharedResource"},{"$ref":"#/components/schemas/SegmentCatalogDatasetSharedResource"}],"properties":{"type":{"type":"string","enum":["USER_PROFILE","SEGMENT","SEGMENT_CATALOG"]}},"required":["type"]},"UserProfileDatasetSharedResource":{"type":"object","properties":{"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertySharedResource"},"readOnly":true},"status":{"$ref":"#/components/schemas/DatasetStatus"},"type":{"$ref":"#/components/schemas/DatasetType"},"organisation_id":{"type":"string","readOnly":true},"organisation_name":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":true},"records_count":{"type":"integer","format":"int64","default":0,"readOnly":true},"source":{"$ref":"#/components/schemas/DatasetSource"},"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true}},"required":["expiration_ts","id","name","organisation_id","organisation_name","properties","source","status","type"]},"DatasetPropertySharedResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"property_type":{"$ref":"#/components/schemas/DatasetPropertyType"},"position":{"type":"integer","format":"int32","default":0,"readOnly":false},"name":{"type":"string","readOnly":false},"matching_key":{"type":"boolean","default":false,"readOnly":false}},"required":["id","matching_key","name","position","property_type"]},"DatasetPropertyType":{"type":"string","enum":["EMAIL","EMAIL_HASH","MOBILE_PHONE_NUMBER","COOKIE_ID","ANDROID_TV_ADVERTISING_ID","APPLE_TV_ADVERTISING_ID","AMAZON_TV_ADVERTISING_ID","TIZEN_TV_ADVERTISING_ID","ANDROID_MOBILE_ADVERTISING_ID","APPLE_MOBILE_ADVERTISING_ID","ID5_UNIVERSAL_ID_DECYPHERED","ID5_UNIVERSAL_ID_CYPHERED","FIRST_ID","CUSTOM_IDENTIFIER","UTIQ_MARTECHPASS","GENDER","DATE_OF_BIRTH","YEAR_OF_BIRTH","AGE","AGE_RANGE","LANGUAGE","HOUSEHOLD_INCOME_RANGE","HOUSEHOLD_INCOME_AMOUNT","SOCIOTYPE","PARENTAL_STATUS","COUNTRY","REGION","DEPARTMENT","POSTCODE","CITY","INTEREST_CATEGORY","INTEREST_SUB_CATEGORY","INTEREST_LABEL","PURCHASE_INTENT_CATEGORY","PURCHASE_INTENT_SUB_CATEGORY","PURCHASE_INTENT_LABEL","FREQUENCY","RECENCY","AMOUNT","RFM_SEGMENTATION","DEVICE","BRAND","AGENT","BROWSER","OS","BOOLEAN","DATE","NUMERIC","STRING","allIdentifiers"],"readOnly":false},"DatasetStatus":{"type":"string","enum":["SYNCHRONIZATION_PENDING","UPDATE_IN_PROGRESS","ACTIVE","ACTIVE_LAST_UPDATE_ERROR","ERROR"],"readOnly":false},"DatasetType":{"type":"string","enum":["SEGMENT","SEGMENT_CATALOG","USER_PROFILE","CAMPAIGN_LOG","TRANSACTION_LOG"],"readOnly":false},"DatasetSource":{"type":"string","enum":["FILE","DATAMART","DATA_WAREHOUSE","CUSTOM","CLEAN_ROOM"],"readOnly":false},"SegmentDatasetSharedResource":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/DatasetType"},"description":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertySharedResource"},"readOnly":true},"organisation_name":{"type":"string","readOnly":true},"status":{"$ref":"#/components/schemas/DatasetStatus"},"organisation_id":{"type":"string","readOnly":true},"source":{"$ref":"#/components/schemas/DatasetSource"},"name":{"type":"string","readOnly":true},"records_count":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["expiration_ts","id","name","organisation_id","organisation_name","properties","source","status","type"]},"SegmentCatalogDatasetSharedResource":{"type":"object","properties":{"records_count":{"type":"integer","format":"int64","default":0,"readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertySharedResource"},"readOnly":true},"description":{"type":"string","readOnly":true},"organisation_name":{"type":"string","readOnly":true},"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":true},"status":{"$ref":"#/components/schemas/DatasetStatus"},"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true},"type":{"$ref":"#/components/schemas/DatasetType"},"source":{"$ref":"#/components/schemas/DatasetSource"}},"required":["expiration_ts","id","name","organisation_id","organisation_name","properties","source","status","type"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /clean\_room\_collaborative\_apps/{collaborative\_app\_id}

> Get a collaborative app by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Data Clean Rooms","description":"Operations related to Data Clean Rooms, the secure environments for privacy-safe data collaboration and analysis between multiple parties without sharing raw user data. Enables dataset onboarding, overlap analysis, differential privacy-protected insights generation, and activation of matched audiences (common and exclusive users) on authorized platforms while maintaining strict data confidentiality and GDPR compliance."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/clean_room_collaborative_apps/{collaborative_app_id}":{"get":{"summary":"Get a collaborative app by id","description":"","operationId":"getCollaborativeApp","tags":["Data Clean Rooms"],"parameters":[{"name":"collaborative_app_id","explode":false,"style":"simple","schema":{"type":"string"},"in":"path","required":true}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/CollaborativeAppResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"CollaborativeAppResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"authorized_outputs":{"type":"array","items":{"$ref":"#/components/schemas/AuthorizedOutput"},"readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"name":{"type":"string","readOnly":false},"type":{"$ref":"#/components/schemas/CollaborativeAppType"},"id":{"type":"string","readOnly":true}},"required":["archived","authorized_outputs","id","name","type"]},"AuthorizedOutput":{"type":"string","enum":["INSIGHTS","ACTIVATION","ENRICHMENT"],"readOnly":false},"CollaborativeAppType":{"type":"string","enum":["DATA_SOURCING","MEDIA_AUDIENCE_PORTAL","RETAIL_BRAND_PORTAL","TV_AUDIENCE_PORTAL","CLASSIFIED_ADS_AUDIENCE_PORTAL","CONNECT_ID","COCKPIT"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /clean\_rooms/{clean\_room\_id}/datasets\_matchings/{datasets\_matching\_id}

> Search datasets matching by Id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Data Clean Rooms","description":"Operations related to Data Clean Rooms, the secure environments for privacy-safe data collaboration and analysis between multiple parties without sharing raw user data. Enables dataset onboarding, overlap analysis, differential privacy-protected insights generation, and activation of matched audiences (common and exclusive users) on authorized platforms while maintaining strict data confidentiality and GDPR compliance."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/clean_rooms/{clean_room_id}/datasets_matchings/{datasets_matching_id}":{"get":{"parameters":[{"name":"clean_room_id","required":true,"description":"Clean room Id","explode":false,"schema":{"type":"integer","format":"int64"},"in":"path","style":"simple"},{"required":true,"in":"path","style":"simple","schema":{"type":"integer","format":"int64"},"description":"Datasets intersection Id","name":"datasets_matching_id","explode":false},{"required":false,"description":"View the matching from this organisation's side. Only honoured when the caller has access to it; ignored otherwise.","style":"form","name":"as_organisation_id","in":"query","schema":{"type":"string"},"explode":true}],"tags":["Data Clean Rooms"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DatasetsMatchingResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","operationId":"getDatasetsMatchingById","summary":"Search datasets matching by Id"}}},"components":{"schemas":{"DatasetsMatchingResource":{"type":"object","properties":{"refresh_frequency":{"$ref":"#/components/schemas/DatasetsMatchingRefreshFrequency"},"initiator_org_id":{"type":"string","readOnly":false},"custom_identifier_labels":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":true},"identifiers_freshness_days":{"type":"integer","default":0,"format":"int64","readOnly":false},"name":{"type":"string","readOnly":false},"feeds":{"type":"array","items":{"$ref":"#/components/schemas/AudienceSegmentExternalFeedShortResource"},"readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_refresh_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"matched_datasets":{"type":"array","items":{"$ref":"#/components/schemas/DatasetMatchedResource"},"readOnly":true},"status":{"$ref":"#/components/schemas/DatasetsMatchingStatus"},"datasets_matching_history_key_stats":{"type":"array","items":{"$ref":"#/components/schemas/DatasetsMatchingHistoryKeyStatResource"},"readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"count_matched_records":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"segment_id":{"type":"string","readOnly":true},"custom_identifier_compartment_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"external_dashboard_url":{"type":"string","readOnly":false},"matching_keys":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertyType"},"readOnly":true},"clean_room_id":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":false}},"required":["archived","clean_room_id","created_ts","id","initiator_org_id","matched_datasets","matching_keys","name","status"]},"DatasetsMatchingRefreshFrequency":{"type":"string","enum":["DAILY","WEEKLY","FORTNIGHTLY","MONTHLY"],"readOnly":false},"AudienceSegmentExternalFeedShortResource":{"type":"object","properties":{"artifact_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"audience_segment_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true}},"required":["artifact_id","audience_segment_id","id","plugin_id","plugin_version_id"]},"DatasetMatchedResource":{"type":"object","properties":{"dataset":{"$ref":"#/components/schemas/DatasetSharedResource"},"organisation_id":{"type":"string","readOnly":true},"dataset_update_id":{"type":"string","readOnly":true},"purposes":{"type":"array","items":{"$ref":"#/components/schemas/DatasetCleanRoomPurpose"},"readOnly":true},"clean_room_id":{"type":"string","readOnly":false},"dataset_id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["clean_room_id","created_ts","dataset_id","dataset_update_id","expiration_ts","organisation_id"]},"DatasetSharedResource":{"discriminator":{"propertyName":"type","mapping":{"USER_PROFILE":"#/components/schemas/UserProfileDatasetSharedResource","SEGMENT":"#/components/schemas/SegmentDatasetSharedResource","SEGMENT_CATALOG":"#/components/schemas/SegmentCatalogDatasetSharedResource"}},"oneOf":[{"$ref":"#/components/schemas/UserProfileDatasetSharedResource"},{"$ref":"#/components/schemas/SegmentDatasetSharedResource"},{"$ref":"#/components/schemas/SegmentCatalogDatasetSharedResource"}],"properties":{"type":{"type":"string","enum":["USER_PROFILE","SEGMENT","SEGMENT_CATALOG"]}},"required":["type"]},"UserProfileDatasetSharedResource":{"type":"object","properties":{"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertySharedResource"},"readOnly":true},"status":{"$ref":"#/components/schemas/DatasetStatus"},"type":{"$ref":"#/components/schemas/DatasetType"},"organisation_id":{"type":"string","readOnly":true},"organisation_name":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":true},"records_count":{"type":"integer","format":"int64","default":0,"readOnly":true},"source":{"$ref":"#/components/schemas/DatasetSource"},"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true}},"required":["expiration_ts","id","name","organisation_id","organisation_name","properties","source","status","type"]},"DatasetPropertySharedResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"property_type":{"$ref":"#/components/schemas/DatasetPropertyType"},"position":{"type":"integer","format":"int32","default":0,"readOnly":false},"name":{"type":"string","readOnly":false},"matching_key":{"type":"boolean","default":false,"readOnly":false}},"required":["id","matching_key","name","position","property_type"]},"DatasetPropertyType":{"type":"string","enum":["EMAIL","EMAIL_HASH","MOBILE_PHONE_NUMBER","COOKIE_ID","ANDROID_TV_ADVERTISING_ID","APPLE_TV_ADVERTISING_ID","AMAZON_TV_ADVERTISING_ID","TIZEN_TV_ADVERTISING_ID","ANDROID_MOBILE_ADVERTISING_ID","APPLE_MOBILE_ADVERTISING_ID","ID5_UNIVERSAL_ID_DECYPHERED","ID5_UNIVERSAL_ID_CYPHERED","FIRST_ID","CUSTOM_IDENTIFIER","UTIQ_MARTECHPASS","GENDER","DATE_OF_BIRTH","YEAR_OF_BIRTH","AGE","AGE_RANGE","LANGUAGE","HOUSEHOLD_INCOME_RANGE","HOUSEHOLD_INCOME_AMOUNT","SOCIOTYPE","PARENTAL_STATUS","COUNTRY","REGION","DEPARTMENT","POSTCODE","CITY","INTEREST_CATEGORY","INTEREST_SUB_CATEGORY","INTEREST_LABEL","PURCHASE_INTENT_CATEGORY","PURCHASE_INTENT_SUB_CATEGORY","PURCHASE_INTENT_LABEL","FREQUENCY","RECENCY","AMOUNT","RFM_SEGMENTATION","DEVICE","BRAND","AGENT","BROWSER","OS","BOOLEAN","DATE","NUMERIC","STRING","allIdentifiers"],"readOnly":false},"DatasetStatus":{"type":"string","enum":["SYNCHRONIZATION_PENDING","UPDATE_IN_PROGRESS","ACTIVE","ACTIVE_LAST_UPDATE_ERROR","ERROR"],"readOnly":false},"DatasetType":{"type":"string","enum":["SEGMENT","SEGMENT_CATALOG","USER_PROFILE","CAMPAIGN_LOG","TRANSACTION_LOG"],"readOnly":false},"DatasetSource":{"type":"string","enum":["FILE","DATAMART","DATA_WAREHOUSE","CUSTOM","CLEAN_ROOM"],"readOnly":false},"SegmentDatasetSharedResource":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/DatasetType"},"description":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertySharedResource"},"readOnly":true},"organisation_name":{"type":"string","readOnly":true},"status":{"$ref":"#/components/schemas/DatasetStatus"},"organisation_id":{"type":"string","readOnly":true},"source":{"$ref":"#/components/schemas/DatasetSource"},"name":{"type":"string","readOnly":true},"records_count":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["expiration_ts","id","name","organisation_id","organisation_name","properties","source","status","type"]},"SegmentCatalogDatasetSharedResource":{"type":"object","properties":{"records_count":{"type":"integer","format":"int64","default":0,"readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertySharedResource"},"readOnly":true},"description":{"type":"string","readOnly":true},"organisation_name":{"type":"string","readOnly":true},"expiration_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":true},"status":{"$ref":"#/components/schemas/DatasetStatus"},"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true},"type":{"$ref":"#/components/schemas/DatasetType"},"source":{"$ref":"#/components/schemas/DatasetSource"}},"required":["expiration_ts","id","name","organisation_id","organisation_name","properties","source","status","type"]},"DatasetCleanRoomPurpose":{"type":"string","enum":["ACTIVATION","ENRICHMENT","INSIGHTS"],"readOnly":false},"DatasetsMatchingStatus":{"type":"string","enum":["PENDING","ACTIVE","ERROR"],"readOnly":false},"DatasetsMatchingHistoryKeyStatResource":{"type":"object","properties":{"related_identifiers_count":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_name":{"type":"string","readOnly":true},"common_identifiers_count":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_id":{"type":"string","readOnly":true},"matching_key_type":{"$ref":"#/components/schemas/DatasetPropertyType"},"datasets_matching_history_id":{"type":"string","readOnly":true}},"required":["datasets_matching_history_id","matching_key_type"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /clean\_rooms/{clean\_room\_id}/datasets\_matchings/{datasets\_matching\_id}

> Update datasets matching

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Data Clean Rooms","description":"Operations related to Data Clean Rooms, the secure environments for privacy-safe data collaboration and analysis between multiple parties without sharing raw user data. Enables dataset onboarding, overlap analysis, differential privacy-protected insights generation, and activation of matched audiences (common and exclusive users) on authorized platforms while maintaining strict data confidentiality and GDPR compliance."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/clean_rooms/{clean_room_id}/datasets_matchings/{datasets_matching_id}":{"put":{"tags":["Data Clean Rooms"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DatasetsMatchingResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"requestBody":{"description":"The datasets matching to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetsMatchingResource"}}},"required":true},"description":"","summary":"Update datasets matching","operationId":"updateDatasetsMatching","parameters":[{"schema":{"type":"integer","format":"int64"},"in":"path","name":"clean_room_id","style":"simple","required":true,"description":"Clean room Id","explode":false},{"name":"datasets_matching_id","explode":false,"schema":{"type":"integer","format":"int64"},"required":true,"in":"path","description":"Datasets intersection Id","style":"simple"}]}}},"components":{"schemas":{"DatasetsMatchingResource":{"type":"object","properties":{"refresh_frequency":{"$ref":"#/components/schemas/DatasetsMatchingRefreshFrequency"},"initiator_org_id":{"type":"string","readOnly":false},"custom_identifier_labels":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":true},"identifiers_freshness_days":{"type":"integer","default":0,"format":"int64","readOnly":false},"name":{"type":"string","readOnly":false},"feeds":{"type":"array","items":{"$ref":"#/components/schemas/AudienceSegmentExternalFeedShortResource"},"readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_refresh_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"matched_datasets":{"type":"array","items":{"$ref":"#/components/schemas/DatasetMatchedResource"},"readOnly":true},"status":{"$ref":"#/components/schemas/DatasetsMatchingStatus"},"datasets_matching_history_key_stats":{"type":"array","items":{"$ref":"#/components/schemas/DatasetsMatchingHistoryKeyStatResource"},"readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"count_matched_records":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"segment_id":{"type":"string","readOnly":true},"custom_identifier_compartment_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"external_dashboard_url":{"type":"string","readOnly":false},"matching_keys":{"type":"array","items":{"$ref":"#/components/schemas/DatasetPropertyType"},"readOnly":true},"clean_room_id":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":false}},"required":["archived","clean_room_id","created_ts","id","initiator_org_id","matched_datasets","matching_keys","name","status"]},"DatasetsMatchingRefreshFrequency":{"type":"string","enum":["DAILY","WEEKLY","FORTNIGHTLY","MONTHLY"],"readOnly":false},"AudienceSegmentExternalFeedS
[...]
